﻿using HtmlAgilityPack;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VehicleStatsBL.Interface
{
    public interface IPageScraper
    {
        IList<IVehicle> Scrape(IExtractionArguments args, HtmlDocument page);

        Uri GetFirstPageUrl(IExtractionArguments extractionArgs);
        
        List<string> GetRemainingUrls(HtmlDocument page);

    }
}
