﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VehicleStatsBL.Interface;

namespace VehicleStatsBL.Impl
{
    public class NullStatistics : IStatistics
    {
        public double MeanPrice
        {
            get { return 0; }
        }

        public double MedianPrice
        {
            get { return 0; }
        }

        public double ModePrice
        {
            get { return 0; }
        }

        public double StandardDeviation
        {
            get { return 0; }
        }

        public int SampleSize
        {
            get { return 0; }
        }

        public double LowestPrice
        {
            get { return 0; }
        }

        public double HighestPrice
        {
            get { return 0; }
        }

        public IEnumerable<Tuple<int, double, int>> MeanPriceByYear
        {
            get { return new List<Tuple<int, double, int>>(); }
        }

        public IEnumerable<Tuple<int, double, int>> DepreciationByYear
        {
            get { return new List<Tuple<int, double, int>>(); }
        }


        public IEnumerable<Tuple<int, double>> DepreciationByYearCumulative
        {
            get { return new List<Tuple<int, double>>(); }
        }
    }
}
